local windows_1250_cs =
{
	[0x41] = 256, // "A"
	[0xC1] = 257, // "Á"
	[0x42] = 258, // "B"
	[0x43] = 259, // "C"
	[0xC8] = 260, // "Č"
	[0x44] = 261, // "D"
	[0xCF] = 262, // "Ď"
	[0x45] = 263, // "E"
	[0xC9] = 264, // "É"
	[0xCC] = 265, // "Ě"
	[0x46] = 266, // "F"
	[0x47] = 267, // "G"
	[0x48] = 268, // "H"
	[0x49] = 269, // "I"
	[0xCD] = 270, // "Í"
	[0x4A] = 271, // "J"
	[0x4B] = 272, // "K"
	[0x4C] = 273, // "L"
	[0x4D] = 274, // "M"
	[0x4E] = 275, // "N"
	[0xD2] = 276, // "Ň"
	[0x4F] = 277, // "O"
	[0xD3] = 278, // "Ó"
	[0x50] = 279, // "P"
	[0x51] = 280, // "Q"
	[0x52] = 281, // "R"
	[0xD8] = 282, // "Ř"
	[0x53] = 283, // "S"
	[0x8A] = 284, // "Š"
	[0x54] = 285, // "T"
	[0x8D] = 286, // "Ť"
	[0x55] = 287, // "U"
	[0xDA] = 288, // "Ú"
	[0xD9] = 289, // "Ů"
	[0x56] = 290, // "V"
	[0x57] = 291, // "W"
	[0x58] = 292, // "X"
	[0x59] = 293, // "Y"
	[0xDD] = 294, // "Ý"
	[0x5A] = 295, // "Z"
	[0x8E] = 296, // "Ž"

	[0x61] = 297, // "a"
	[0xE1] = 298, // "á"
	[0x62] = 299, // "b"
	[0x63] = 300, // "c"
	[0xE8] = 301, // "č"
	[0x64] = 302, // "d"
	[0x65] = 303, // "e"
	[0xE9] = 304, // "é"
	[0xEC] = 305, // "ě"
	[0x66] = 306, // "f"
	[0x67] = 307, // "g"
	[0x68] = 308, // "h"
	[0x69] = 309, // "i"
	[0xED] = 310, // "í"
	[0x6A] = 311, // "j"
	[0x6B] = 312, // "k"
	[0x6C] = 313, // "l"
	[0x6D] = 314, // "m"
	[0x6E] = 315, // "n"
	[0xF2] = 316, // "ň"
	[0x6F] = 317, // "o"
	[0xF3] = 318, // "ó"
	[0x70] = 319, // "p"
	[0x71] = 320, // "q"
	[0x72] = 321, // "r"
	[0xF8] = 322, // "ř"
	[0x73] = 323, // "s"
	[0x9A] = 324, // "š"
	[0x74] = 325, // "t"
	[0x9D] = 326, // "ť"
	[0x75] = 327, // "u"
	[0xFA] = 328, // "ú"
	[0xF9] = 329, // "ů"
	[0x76] = 330, // "v"
	[0x77] = 331, // "w"
	[0x78] = 332, // "x"
	[0x79] = 333, // "y"
	[0xFD] = 334, // "ý"
	[0x7A] = 335, // "z"
	[0x9E] = 336, // "ž"
}

function cs_strcmp(a, b)
{
	local a_length = a.len()
	local b_length = b.len()

	local min_length = (a_length < b_length) ? a_length : b_length

	for (local i = 0; i < min_length; ++i)
	{
		local a_idx = 256 + a[i]
		if (a_idx in windows_1250_cs)
			a_idx = windows_1250_cs[a_idx]

		local b_idx = 256 + b[i]
		if (b_idx in windows_1250_cs)
			b_idx = windows_1250_cs[b_idx]

		if (a_idx == b_idx)
			continue

		if (a_idx < b_idx)
			return -1

		if (a_idx > b_idx)
			return 1
	}

	if (a_length < b_length)
		return -1

	if (b_length > a_length)
		return 1

	return 0
}